Bug 431040 - incorrect resolution list
incorrect resolution list
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-sis (Show other bugs)
8
i686 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-31 07:15 EST by Richard Kennedy
Modified: 2008-06-06 18:17 EDT (History)
1 user (show)

See Also:
Fixed In Version: F9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-06 18:17:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
current xorg config (565 bytes, application/octet-stream)
2008-02-01 05:24 EST, Richard Kennedy
no flags Details
current Xorg log (30.88 KB, text/plain)
2008-02-01 05:25 EST, Richard Kennedy
no flags Details
xorg log after removing the xorg.conf (30.50 KB, text/plain)
2008-02-01 05:41 EST, Richard Kennedy
no flags Details

  None (edit)
Description Richard Kennedy 2008-01-31 07:15:45 EST
Description of problem:
the list of available resolutions in system-config-display is not correct and
does not even include the current xorg screen resolution.

On my JVC mininote sub-notebook Xorg sets the native screen correctly to
1024x600  but system-config-display only displays
640x400,640x480,800x600 in the list. 

Version-Release number of selected component (if applicable):
1.0.51-4.fc8

How reproducible:

always
Steps to Reproduce:
1. 
2.
3.
  
Actual results:
resolution list :-
640x400,640x480,800x600
Expected results:

640x400,640x480,800x600,1024x600
Additional info:
Comment 1 Matěj Cepl 2008-01-31 17:02:13 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Richard Kennedy 2008-02-01 05:24:28 EST
Created attachment 293702 [details]
current xorg config
Comment 3 Richard Kennedy 2008-02-01 05:25:19 EST
Created attachment 293703 [details]
current Xorg log
Comment 4 Richard Kennedy 2008-02-01 05:41:40 EST
Created attachment 293706 [details]
xorg log after removing the xorg.conf

On removing xorg.conf, when X restarted there were some messages about not
being to start the framebuffer. then it ask if I wanted to reconfigure X. 

The newly created xorg.conf is almost identical to the original one already
posted
the only change is the Identifier
"default Layout" => "single head configuration"
Comment 5 Richard Kennedy 2008-06-06 11:03:54 EDT
This is fixed on fedora 9, I get correct default resolution of 1024x600.

Do you want to mark this fixed?

Thanks 
Richard

Note You need to log in before you can comment on or make changes to this bug.